// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import 'regenerator-runtime/runtime'
import 'swiper/swiper-bundle.css'
import { Login, redirect } from './utils/initial'
import store from './store';//状态管理

import router from './router'
import Swiper from './components/Swiper'
import SwiperSlide from './components/SwiperSlide'

import { Popup } from 'vant';
import { Area, Picker } from 'vant';
Vue.use(Popup);
Vue.use(Picker);
Vue.use(Area);

Vue.config.productionTip = false
Vue.component('swiper', Swiper)
Vue.component('swiper-slide', SwiperSlide)
/* eslint-disable no-new */
redirect()


Login().then(e => {


  new Vue({
    router,
    store,
    render: h => h(App),
  }).$mount('#app')


})



